Update VCN Status
⚠️ The original document notes: currently only card locking is supported, unlocking is not yet supported — even though the parameters table lists both values (1: Unlock, 2: Lock).
Process
Merchant calls this API to update VCN status when temporarily locking/unlocking a VCN is needed.
API Information
URL: /b2b-iccp-service/api/ext/iccp/vcn-update-status/{vcnId}
Method: PUT
Request
Main Parameters Table
| No. | Field Name | Data Type | Required | Description |
|---|---|---|---|---|
| 1 | request_id | String | ✅ | Unique ID for each Request from MERCHANT to Baokim. |
| 2 | request_time | String | ✅ | Request sent time. Format: YYYY-MM-DD H:i:s |
| 3 | master_merchant_code | String | ✅ | Unique identifier for MASTER MERCHANT |
| 4 | sub_merchant_code | String | ✅ | Unique identifier for SUB MERCHANT |
| 5 | reference_id | String | ✅ | Reference code |
| 6 | action | Number | ✅ | Action to update for VCN - Unlock - Lock Currently only card locking is supported, unlocking is not yet supported |
Request Example
{
"request_id": "MERCHANT050015588AXE014",
"request_time": "2025-08-11 14:41:00",
"master_merchant_code": "MASTERMERCHANTCODE",
"sub_merchant_code": "SUBMERCHANTCODE",
"reference_id": "RF_123456789abcxyz",
"action": 2
}
Response
Main Parameters Table
| No. | Field Name | Data Type | Required | Description |
|---|---|---|---|---|
| 1 | code | Number | ✅ | Baokim error code |
| 2 | message | String | ✅ | Baokim error code message |
| 3 | data | Object | ✅ | Data returned by Baokim |
Description of the data inside the data field (3)
| No. | Field Name | Data Type | Required | Description |
|---|---|---|---|---|
| 1 | reference_id | String(50) | ✅ | Reference code of the VCN creation request |
| 2 | vcn_id | Number | ✅ | VCN ID |
| 3 | status | Number | ✅ | VCN status |
Response Example
{
"code": 100,
"message": "Success",
"data": {
"reference_id": "RF_123456789abcxyz",
"vcn_id": 423677,
"status": 2
}
}
Error Codes
| Error Code | Description |
|---|---|
| 100 | Success |
| 11 | Failed |
| 401 | Merchant verify failed |
| 422 | Validation error |
| 1201 | vcn_id does not exist |